AMQPQueue::cancel
AMQPQueue::consume
AMQPQueue
PHP Manual

# AMQPQueue::__construct

(PECL amqp >= Unknown)

AMQPQueue::__construct — Create an instance of an AMQPQueue object.

### Description

AMQPQueue::__construct ( string `$amqp_connection` [, string `$queue_name` = "" ] )

Creates an AMQPQueue instance representing an AMQP queue on the broker.

### Parameters

`amqp_connection`

  A valid AMQPConnection object.

`queue_name`

  The name of the queue to construct. If no queue name is specified, the broker will generate one.

### Return Values

AMQPQueue::cancel
AMQPQueue::consume
AMQPQueue
PHP Manual